# Generated by go2rpm
%ifnarch s390x
%bcond_without check
%endif

# https://github.com/magiconair/properties
%global goipath         github.com/magiconair/properties
Version:                1.8.1

%gometa

%global common_description %{expand:
Properties is a Go library for reading and writing properties files.

It supports reading from multiple files or URLs and Spring style recursive
property expansion of expressions like ${key} to their corresponding value.
Value expressions can refer to other keys like in ${key} or to environment
variables like in ${USER}. Filenames can also contain environment variables like
in /home/${USER}/myapp.properties.

Properties can be decoded into structs, maps, arrays and values through struct
tags.

Comments and the order of keys are preserved. Comments can be modified and can
be written to the output.

The properties library supports both ISO-8859-1 and UTF-8 encoded data.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md

%global gosupfiles glide.lock glide.yaml

%global godevelheader %{expand:
%pretrans devel
# glide.lock used to wrongly be an empty directory
[ -d "%{gopath}/src/%{goipath}/glide.lock" ] && rmdir "%{gopath}/src/%{goipath}/glide.lock" || :
}

Name:           %{goname}
Release:        %mkrel 1
Summary:        Java properties scanner for Go
Group:          Development/Other
# Upstream license specification: BSD-2-Clause
License:        BSD
URL:            %{gourl}
BuildArch:      noarch
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock
# fix tests for gotip and go1.15.x
Patch0:         https://github.com/magiconair/properties/commit/7874f47fd84959aab21760b8f8f478cef76a2ba1.patch#/0001-fix-tests-for-gotip-and-go1.15.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles


%changelog
* Sun Oct 25 2020 pterjan <pterjan> 1.8.1-1.mga8
+ Revision: 1639423
- Update to 1.8.1 and sync with Fedora

* Fri Sep 18 2020 joequant <joequant> 1.7.0-2.mga8
+ Revision: 1628288
- fix build

* Mon Nov 26 2018 pterjan <pterjan> 1.7.0-1.mga7
+ Revision: 1335402
- imported package golang-github-magiconair-properties

